Subject: Re: [cygwin 1.3.11+]: Problem with /dev/dsp?
From: Nicholas Wourms <[email-masked]>
To: egor duda <[email-masked]>
Cc: [email-masked]
Date: Tue, 9 Jul 2002 03:30:53 -0700 (PDT)

--- egor duda <[email-masked]> wrote:
> Hi!
> 
> Monday, 08 July, 2002 Nicholas Wourms [email-masked] wrote:
> 
> NW> I just noticed an oddity with /dev/dsp.  I am working on a package
> which
> NW> is expecting to use /dev/dsp as it would in bsd or linux.  The
> problem is
> NW> that open() is no able to access it.  This behaviour can be
> reproduced by
> NW> issuing "cat /dev/dsp".  The specific error I recieve with the
> program or
> NW> the testcase is:
> 
> NW> /dev/dsp: Permission denied
> 
> Refer to mailing list archives. Searching for 'read dsp' immediately
> reveals this message:
> http://sources.redhat.com/ml/cygwin/2002-06/msg00142.html
> 
> Cygwin's /dev/dsp can't be read from, it supports only writing.

Thanks egor, I forgot about this one.  :-)  I don't suppose anyone has
been considiering adding this support?  Oh well, I suppose I'll have to
figure out how to skirt around this one with the w32api, if it is
possible.  Thanks for going easy on me...

Cheers,
Nicholas

__________________________________________________
Do You Yahoo!?
Sign up for SBC Yahoo! Dial - First Month Free
http://sbc.yahoo.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/